PMDAXFS(1)

NAME
pmdaxfs - XFS filesystem performance metrics domain agent (PMDA)

SYNOPSIS
$PCP_PMDAS_DIR/xfs/pmdaxfs [-d domain] [-l logfile]

DESCRIPTION
pmdaxfs is a Performance Metrics Domain Agent (PMDA) which extracts performance metrics describing the state of the XFS filesystem from the Linux kernel.

The xfs PMDA exports metrics that measure information about metadata buffer usage, the journal, btree operations, inode operations, extended attributes, directories, quotas, read and write operation counts and of course throughput.

The PMDA provides a facility to reset the values of all counters to zero using pmstore(1) with the xfs.control.reset metric.

A brief description of the pmdaxfs command line options follows:

-d  It is absolutely crucial that the performance metrics domain number specified here is unique and consistent. That is, domain should be different for every PMDA on the one host, and the same domain number should be used for the same PMDA on all hosts.

-l  Location of the log file. By default, a log file named xfs.log is written in the current directory of pmcd(1) when pmdaxfs is started, i.e. $PCP_LOG_DIR/pmcd. If the log file cannot be created or is not writable, output is written to the standard error instead.

INSTALLATION
The xfs PMDA is installed and available by default on Linux. If you want to undo the installation, do the following as root:

# cd $PCP_PMDAS_DIR/xfs
# ./Remove

If you want to establish access to the names, help text and values for the XFS performance metrics once more, after removal, do the following as root:

# cd $PCP_PMDAS_DIR/xfs
# ./Install

pmdaxfs is launched by pmcd(1) and should never be executed directly. The Install and Remove scripts notify pmcd(1) when the agent is installed or removed.

FILES
$PCP_PMCDCONF_PATH
    command line options used to launch pmdaxfs
$PCP_PMDAS_DIR/xfs/help
    default help text file for the xfs metrics
$PCP_PMDAS_DIR/xfs/Install
    installation script for the pmdaxfs agent
$PCP_PMDAS_DIR/xfs/Remove
    undo installation script for the pmdaxfs agent
$PCP_LOG_DIR/pmcd/xfs.log
    default log file for error messages and other information from pmdaxfs

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), pmstore(1), pcp.conf(5) and pcp.env(5).